//
//  PopoverViewController.swift
//  JKWeiBo
//
//  Created by 王冲 on 2017/6/2.
//  Copyright © 2017年 希爱欧科技有限公司. All rights reserved.
//

import UIKit

class PopoverViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        //view.backgroundColor = UIColor.brown

       // 1.添加一个底图
       view.addSubview(imageBackground)
       
       // 2.添加tabview
       view.addSubview(tableviewFuc)
      
        
    }
    
    // MARK: 懒加载tabview
    private lazy var tableviewFuc: UITableView  = {
    
        let tabview = UITableView()
        tabview.delegate = self
        tabview.dataSource = self
        return tabview
        
    
    }()
    
    // MARK:  数据源加载
    lazy var datalist: [String] =  {
        
        return ["首页","好友圈","群微博","特别关注","IT数码","新闻趣事","搞笑幽默"]
        
    }()
    
    lazy var imageBackground: UIImageView = {
    
        let imageview = UIImageView()
        imageview.image = UIImage(named:"popover_background")
        imageview.contentMode = UIViewContentMode.scaleToFill
        
        return imageview
    }()

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        
    }
}

// MARK: 苹果官方推荐将数据源代理方法单独写到一个拓展方法里面,以便提高代码的可读性
// extension: 相当于OC里面的 category 这样代码更简洁
extension PopoverViewController:UITableViewDelegate,UITableViewDataSource{
    
    // MARK: tableView段里面的 段落 数
    func numberOfSections(in tableView: UITableView) -> Int {
        
        return 1
    }
    
    // MARK: tableView段里面的 行 数
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        
        return datalist.count
    }
    
    // MARK: tableView cell 的设置
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        var cell = tableView.dequeueReusableCell(withIdentifier: "cellID")
        
        if cell == nil {
            
            cell = UITableViewCell(style: UITableViewCellStyle.default,reuseIdentifier:"cellID")
            cell?.selectionStyle = UITableViewCellSelectionStyle.none
        }
        
        cell?.textLabel?.text = datalist[indexPath.row]
        
        return cell!
    }
    
    // MARK: tableView 的点击事件
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        print("\(indexPath.section)段,\(indexPath.row)行")
        
    }
    
    // MARK: tableView cell 的高度返回值
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        
        return 40
    }

    
    
    
}
