//
//  ViewController.swift
//  JKDropDownMenu
//
//  Created by 王冲 on 2017/6/4.
//  Copyright © 2017年 希爱欧科技有限公司. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
       
        view.backgroundColor = UIColor.brown
        
        // 2.自定义标题按钮
        let btn = TittleBtn()
        btn.setTitle("JoanKing ", for: UIControlState.normal)
        btn.addTarget(self, action: #selector(ViewController.tittleClick(btn:)), for: UIControlEvents.touchUpInside)
        navigationItem.titleView = btn
        
        // 3..注册通知
        NotificationCenter.default.addObserver(self, selector: #selector(ViewController.change), name: NSNotification.Name(rawValue: JKPopoverAnimatorWillshow), object: nil)
        NotificationCenter.default.addObserver(self, selector: #selector(ViewController.change), name: NSNotification.Name(rawValue: JKPopoverAnimatorWilldismiss), object: nil)
        
    }
    
    /*
     * 修改标题按钮的状态
     */
    func change() {
        
        let tittleBtn = navigationItem.titleView as! TittleBtn
        tittleBtn.isSelected = !tittleBtn.isSelected
        
    }
    
    // MARK: 标题的点击方法
    func tittleClick(btn:TittleBtn){
        
        print("标题的点击方法")
        // 1.设置按钮点击状态
        
        // 2.创建控制器对象
        let popoverViewController = PopoverViewController()
        // 3.设置转场代理, 告诉系统谁来负责转场 popoverAnimator: 是负责转场的
        popoverViewController.transitioningDelegate = popoverAnimator
        // 4.设置转场模式
        popoverViewController.modalPresentationStyle = UIModalPresentationStyle.custom
        present(popoverViewController, animated: true, completion: nil)
        
    }
    
    // MARK: 转场封装的懒加,一定要自定义一个转场对象,否则会报错
    private lazy var popoverAnimator: PopoverAnimator = {
        
        let pop = PopoverAnimator()
        pop.presentFrame =  CGRect(x:JKscreenW/2.0-100,y:56,width:200,height:300)
        return pop
        
    }()



    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

